package com.ho.business.mapper;

import com.ho.business.entity.ElecStationValue;
import com.ho.business.vo.resp.StatisticsRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
* @author yule
* @description 针对表【elec_station_value】的数据库操作Mapper
* @createDate 2022-10-12 08:45:16
* @Entity com.ho.business.entity.ElecStationValue
*/
@Mapper
public interface ElecStationValueMapper {

    int deleteByPrimaryKey(Long id);

    int insert(ElecStationValue record);

    int insertSelective(ElecStationValue record);

    ElecStationValue selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ElecStationValue record);

    int updateByPrimaryKey(ElecStationValue record);

    //查询电站下网电量集合
    List<StatisticsRespVO> underElectricityCollection(Map<String, Object> map);

}
